# Uses of Class
javafx.scene.control.TreeTableView.ResizeFeatures

Packages that use TreeTableView.ResizeFeatures
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TreeTableView.ResizeFeatures in javafx.scene.control

Fields in javafx.scene.control with type parameters of type TreeTableView.ResizeFeatures
Modifier and Type
Field
Description
`static final Callback<TreeTableView.ResizeFeatures,Boolean>`
TreeTableView.`CONSTRAINED_RESIZE_POLICY`
Simple policy that ensures the width of all visible leaf columns in this table sum up to equal the width of the table itself.
`static final Callback<TreeTableView.ResizeFeatures,Boolean>`
TreeTableView.`UNCONSTRAINED_RESIZE_POLICY`
Very simple resize policy that just resizes the specified column by the provided delta and shifts all other columns (to the right of the given column) further to the right (when the delta is positive) or to the left (when the delta is negative).
Methods in javafx.scene.control that return types with arguments of type TreeTableView.ResizeFeatures
Modifier and Type
Method
Description
`final ObjectProperty<Callback<TreeTableView.ResizeFeatures,Boolean>>`
TreeTableView.`columnResizePolicyProperty()`
This is the function called when the user completes a column-resize operation.
`final Callback<TreeTableView.ResizeFeatures,Boolean>`
TreeTableView.`getColumnResizePolicy()`
Gets the value of the `columnResizePolicy` property.
Method parameters in javafx.scene.control with type arguments of type TreeTableView.ResizeFeatures
Modifier and Type
Method
Description
`final void`
TreeTableView.`setColumnResizePolicy(Callback<TreeTableView.ResizeFeatures,Boolean> callback)`
Sets the value of the `columnResizePolicy` property.